Skip to main content
POST
/
api
/
v1
/
registration
First user access
curl --request POST \
  --url https://api.example.com/api/v1/registration \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://app.extractor.dev.extractor.live/",
  "tenantName": "My Tenant",
  "projectName": "My First Project"
}
'
{
  "id": 1,
  "createdAt": 123,
  "updatedAt": 123,
  "status": "ACTIVE",
  "tenantId": 123,
  "organisationId": 123,
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "externalId": "<string>",
  "meta": {},
  "roles": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Body

application/json
url
string
required

Registration url, that will be added to registration email

Minimum string length: 1
Pattern: ^https?.*
Example:

"https://app.extractor.dev.extractor.live/"

tenantName
string

Name of the first tenant

Example:

"My Tenant"

projectName
string

Name of the first project

Example:

"My First Project"

Response

200 - application/json

OK

id
integer<int64>

Unique identifier of the entity

Example:

1

createdAt
integer<int64>

Time when entity was created

updatedAt
integer<int64>

Time when entity was updated

status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
tenantId
integer<int64>

ID of the tenant

organisationId
integer<int64>

ID of the organisation

firstName
string

The user's first name.

lastName
string

The user's last name.

email
string

The user's email address.

externalId
string

Id of the user on auth service.

meta
object

A map the user's meta properties

roles
string[]

A list of the user's roles.